Bug 15107 - Stages comparison error with new-bootstrap while plain bootstrap works
Summary: Stages comparison error with new-bootstrap while plain bootstrap works
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 4.0.0
Assignee: Not yet assigned to anyone
URL:
Keywords: build, wrong-code
Depends on:
Blocks:
 
Reported: 2004-04-23 20:29 UTC by Václav Haisman
Modified: 2005-07-23 22:49 UTC (History)
3 users (show)

See Also:
Host: i686-pc-cygwin
Target: i686-pc-cygwin
Build: i686-pc-cygwin
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Václav Haisman 2004-04-23 20:29:46 UTC
With make new-bootstrap and the following configuration I get this error:

WilX@amber2:::~/gcc-head/objdir> ../srcdir/configure --with-gcc --with-gnu-ld
--with-gnu-as --enable-languages=c,c++,objc --enable-threads=posix
--with-system-zlib --enable-nls --without-included-gettext
--enable-sjlj-exceptions --enable-version-specific-runtime-libs --enable-shared
--disable-win32-registry --enable-dwarf2 --with-cpu=athlon-tbird
--with-arch=athlon-tbird --program-suffix=-3.5


WilX@amber2:::~/gcc-head/objdir> make new-bootstrap
r=`${PWDCMD-pwd}`; export r; \
s=`cd ../srcdir; ${PWDCMD-pwd}`; export s; \
rm -f .bad_compare ; \
cd stage3-gcc; \
files=`find . -name "*.o" -print` ; \
cd .. ; \
for file in ${files} ; do \
  cmp --ignore-initial=16 $r/stage2-gcc/$file $r/stage3-gcc/$file \
      > /dev/null 2>&1; \
  test $? -eq 1 && echo $file differs >> .bad_compare || true; \
done ; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  true; \
fi ; \
        echo timestamp >  compare
Bootstrap comparison failure!
./libgcc/_chkstk.o differs
make: *** [compare] Error 1
Comment 1 Andrew Pinski 2004-06-20 06:28:31 UTC
Does this still happen?

This is interesting as _chkstk is defined in asm file so maybe the debug info is being messed up.
Comment 2 Václav Haisman 2004-06-20 19:17:51 UTC
It seems that new-bootstrap target has been removed from Makefile.
Comment 3 Andrew Pinski 2004-06-20 19:24:55 UTC
Yes new-bootstrap was removed replaced with bootstrap when gcc-bootstrap is enabled.
Comment 4 Václav Haisman 2004-06-20 22:06:42 UTC
The bootstrap has failed with comparison failure on probably all of the files.
The whole list is about 9 screens long. I am gonna go and try normal bootstrap
now, without --enable-bootstrap.
Comment 5 Václav Haisman 2004-06-21 08:22:32 UTC
And for the record, I get comparison failures at 3rd statege on FreeBSD with
--enable-bootstrap too. Though much less than on Cygwin.

make[2]: Entering directory `/home/4/wilx/tmp/gcc-head/objdir'
rm -f stage_last ; \
set gcc stage3-gcc ; rm -f $1  ; \
set prev-gcc stage2-gcc ; rm -f $1
make[2]: Leaving directory `/home/4/wilx/tmp/gcc-head/objdir'
Bootstrap comparison failure!
./fixinc/fixincl.o differs
./fixinc/fixtests.o differs
./fixinc/fixfixes.o differs
./fixinc/server.o differs
./fixinc/procopen.o differs
./fixinc/fixlib.o differs
make[1]: *** [compare] Error 1
make[1]: Leaving directory `/home/4/wilx/tmp/gcc-head/objdir'
make: *** [bootstrap] Error 2
Comment 6 Andrew Pinski 2004-09-20 00:50:31 UTC
Does this still happen?
Comment 7 Václav Haisman 2004-09-20 16:46:21 UTC
Subject: Re:  Stages comparison error with new-bootstrap
 while plain bootstrap works

I've finished with --enable-bootstrap. It seems that it is gone.


On Mon, 20 Sep 2004, pinskia at gcc dot gnu dot org wrote:

>
> ------- Additional Comments From pinskia at gcc dot gnu dot org  2004-09-20 00:50 -------
> Does this still happen?
>
Comment 8 Andrew Pinski 2004-09-20 16:50:30 UTC
So closing as fixed.
Comment 9 Václav Haisman 2004-09-20 17:03:47 UTC
Subject: Re:  Stages comparison error with new-bootstrap
 while plain bootstrap works

But I have another problem:

(Administrator@amber2)[3] /cygdrive/d/WilX/gcc-head/objdir % make install
/bin/sh ../srcdir/mkinstalldirs /usr/local /usr/local
cd: can't cd to gcc
make: *** [install-gcc] Error 2


It seems that make install is not aware of the different structure or am I
misunderstanding something?